### Name: PlotFunctions
### Title: Basic Plot Functions and Utilities
### Aliases: PlotFunctions tsPlot histPlot densityPlot circlesPlot
###   perspPlot contourPlot characterTable plotcharacterTable colorTable
###   greyPal splusLikePlot
### Keywords: hplot

### ** Examples

## SOURCE("fBasics.12B-PlotFunctions")

## Not run: 
##D ## tsPlot -
##D    xmpBasics("\nStart: European Stock Markets > ")
##D    # Show multiple plot:
##D    par(mfrow = c(1, 1), cex = 0.7)
##D    data(DowJones30)
##D    DowJones.ts = as.timeSeries(DowJones30)[, c("CAT", "GE", "IBM", "JPM", )]
##D    tsPlot(DowJones.ts)
##D    title(main = "CAT - GE - IBM - JPM")
##D    
##D ## histPlot -
##D    xmpBasics("\nNext: Histogram Plot of Normal Random Numbers > ")
##D    DowJones.ret = returnSeries(DowJones.ts)
##D    par(mfrow = c(2, 2), cex = 0.7)
##D    histPlot(x = DowJones.ret)
##D    
##D ## densityPlot -
##D    xmpBasics("\nNext: Density Plot of Normal Random Numbers > ")
##D    densityPlot(x = DowJones.ret)
##D    
##D ## circlesPlot -
##D    xmpBasics("\nNext: 3D Circles Plot of Normal Random Numbers > ")
##D    par(mfrow = c(1, 1), cex = 0.7)
##D    circlesPlot(x = rnorm(50), y = rnorm(50), size = abs(rnorm(50)),
##D      main = "Circles Plot")
##D 
##D ## perspPlot -
##D    xmpBasics("\nNext: Perspective Plot > ")
##D    par(mfrow = c(1, 1))
##D    x = y = seq(-10, 10, length = 51)
##D    f = function(x, y) { r = sqrt(x^2+y^2); 10 * sin(r)/r }
##D    z = outer(x, y, f)   
##D    perspPlot(x, y, z)
##D    title(main = "Perspective Plot", line = -3)
##D    
##D ## characterTable - 
##D    xmpBasics("\nNext: Print the Copyright Sign > ")
##D    cat("\251 \n")
##D 
##D ## characterTable - 
##D    xmpBasics("\nNext: Display Character Table for Symbol Font > ")
##D    characterTable(5)
##D    
##D ## colorTable - 
##D    xmpBasics("\nNext: Display Table of Plot Colors > ")
##D    colorTable()
##D    
##D ## plotcharacter Table - 
##D    xmpBasics("\nNext: Display Table of Plot Characters > ")
##D    plotcharacterTable()
## End(Not run)



