### Name: SmoothedSplineDistribution
### Title: Smoothed Spline Distribution
### Aliases: SmoothedSplineDistribution dssd pssd qssd rssd
### Keywords: distribution

### ** Examples

## SOURCE("fBasics.13C-SmoothedSplineDistribution")

## ssd -
## Not run: 
##D    xmpBasics("\nStart: Spline Smoothed Distribution > ")
##D    par(mfcol = c(2, 1), cex = 0.5)
##D    set.seed(1953)
##D    x = rnorm(1000)
##D    param = ssdFit(x)
##D    # Plot empirical density and compare with fitted density:
##D    hist(x, n = 25, probability = TRUE, border = "white", col = "steelblue4") 
##D    s = seq(min(x), max(x), 0.1)
##D    lines(s, dssd(s, param), lwd = 2)
##D    # Plot df and compare with true df:
##D    plot(sort(x), (1:1000/1000), main = "Probability", col = "steelblue4")
##D    lines(s, pssd(s, param), lwd = 2)
##D    # Compute quantiles:
##D    qssd(pssd(seq(-3, 3, 1), param), param) 
## End(Not run)



